// Arquivo de exemplo: StackPush.cs
// Para compilar utilize: csc StackPush.cs
using System;
using System.Collections.Generic;

public class myStack1 {
	public static void Main() {
		Stack<string> pilha=new Stack<string> ();
		pilha.Push("Brasil");
		pilha.Push("França");
		pilha.Push("Italia");
		pilha.Push("China");

		IEnumerator<string> enu=pilha.GetEnumerator();	
		while(enu.MoveNext()) 	{
			Console.WriteLine(enu.Current);
		}
		Console.Read();
	}
}
